aboutsummaryrefslogtreecommitdiffstats
path: root/main/netcf/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2015-04-27 08:34:18 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2015-04-28 09:17:20 +0000
commit4564efd7b841743bdfa728af57851cf2a215879f (patch)
tree52eea76775203d247ae3168a069e016d03356784 /main/netcf/APKBUILD
parent4d8a9b8eacffffb9f87695708c6942e65bc4ed93 (diff)
downloadaports-4564efd7b841743bdfa728af57851cf2a215879f.tar.gz
aports-4564efd7b841743bdfa728af57851cf2a215879f.tar.bz2
aports-4564efd7b841743bdfa728af57851cf2a215879f.tar.xz
main/netcf: upgrade to 0.2.8
Diffstat (limited to 'main/netcf/APKBUILD')
-rw-r--r--main/netcf/APKBUILD18
1 files changed, 7 insertions, 11 deletions
diff --git a/main/netcf/APKBUILD b/main/netcf/APKBUILD
index 9416c1655f..0a80889f5d 100644
--- a/main/netcf/APKBUILD
+++ b/main/netcf/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=netcf
-pkgver=0.2.3
-pkgrel=2
+pkgver=0.2.8
+pkgrel=0
pkgdesc="Cross-platform network configuration library"
arch="all"
url="https://fedorahosted.org/released/netcf"
@@ -11,14 +11,13 @@ makedepends="augeas-dev libgcrypt-dev libnl-dev libxml2-dev libxslt-dev
pkgconfig readline-dev"
install=
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
-source="https://fedorahosted.org/released/netcf/netcf-$pkgver.tar.gz
- memleak.patch"
+source="https://fedorahosted.org/released/netcf/netcf-$pkgver.tar.gz"
replaces="libnetcf"
_builddir="$srcdir/netcf-$pkgver"
prepare() {
cd "$_builddir"
- update_config_sub || return 1
+ #update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
@@ -52,9 +51,6 @@ libs() {
mv "$pkgdir"/usr/lib "$pkgdir"/usr/share "$subpkgdir"/usr/
}
-md5sums="bee292470b06201b59af0fad473a1b65 netcf-0.2.3.tar.gz
-d8ba020e1cf8995ca94a46d5b8d3f459 memleak.patch"
-sha256sums="732c9e366e9a6528f0a8e683b8330ac159cc108180dbfe6981341c5e1b07ebb5 netcf-0.2.3.tar.gz
-f4323cd0de64ba05b7c1fe02f20589a8aee1337b47e5853a6666fa1129dfc580 memleak.patch"
-sha512sums="a51ab4639546d1606d6777d537f83b8d30c2537eafdc0ed699ff8cfbde79b36a68f25b87dacd61074e9fdac9ef80db09dde624d8f6a64ac4213d14f8339bb31d netcf-0.2.3.tar.gz
-af19d606ff9d1cc93789d044d7d56cfa13a53be7cfc9007da33f53e917a7d6a9674f5d26fea997878aec17363402d5ccf4d8069cbd2a084f66cfc511bf594ea3 memleak.patch"
+md5sums="8edfc9a5856468ae4f8ee97415a3dbf3 netcf-0.2.8.tar.gz"
+sha256sums="fd81d607795547807150dfdb82bd164ab2569369ab48a30cb6b0d010d17b127c netcf-0.2.8.tar.gz"
+sha512sums="d9a667a06469b60e8967423d6a738abc65512bf0ad0975164738c6cd5a168bf0300153067a772a61c4088ea969a88de234be0486c354edf73a7b984ddb003328 netcf-0.2.8.tar.gz"